{"openapi":"3.1.0","info":{"title":"PUT /api/v1/subscriptions/","version":"1.0.0","description":"Update a detected recurring transaction"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/subscriptions/":{"put":{"tags":["subscriptions"],"summary":"Update a detected recurring transaction","description":"Override the display name, monthly cost, frequency, or add notes to a detected recurring transaction.","operationId":"update_subscription_api_v1_subscriptions__put","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSubscriptionRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad Request - Invalid input","content":{"application/json":{"example":{"detail":"Invalid request parameters"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"UpdateSubscriptionRequest":{"properties":{"counterparty_key":{"type":"string","title":"Counterparty Key"},"registry_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Registry Id"},"custom_name":{"anyOf":[{"type":"string","maxLength":500},{"type":"null"}],"title":"Custom Name"},"custom_amount_cents":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Custom Amount Cents","description":"Override monthly cost in cents"},"custom_frequency":{"anyOf":[{"type":"string","maxLength":50},{"type":"null"}],"title":"Custom Frequency"},"notes":{"anyOf":[{"type":"string","maxLength":2000},{"type":"null"}],"title":"Notes"}},"type":"object","required":["counterparty_key"],"title":"UpdateSubscriptionRequest"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}